/* import roboto font */
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@900&display=swap');
/* reset style */
* {
    list-style: none;
    margin: 0;
    padding: 0;
}
/* reset img */
img{
    height: auto;
    max-width: 100%;
}
body {
    background-color: #eaeaea;
    -webkit-font-smoothing: antialiased;
}
p {
    font-size: inherit;
    line-height: 1.6;
    margin-bottom: 1rem;
    text-rendering: optimizeLegibility;
}

/* fix font style after removed foundation */
h1,
h2,
h3,
h4,
h5,
h6 {
font-family: "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif;
font-style: normal;
text-rendering: optimizeLegibility;
margin-top: 0;
margin-bottom: 0.5rem;
line-height: 1.4; }
h1 small,
h2 small,
h3 small,
h4 small,
h5 small,
h6 small {
color: #cacaca;
line-height: 0; }
h1 {
font-size: 1.5rem; }
h2 {
font-size: 1.25rem; }
h3 {
font-size: 1.1875rem; }
h4 {
font-size: 1.125rem; }
h5 {
font-size: 1.0625rem; }
h6 {
font-size: 1rem; }
@media screen and (min-width: 40em) {
h1 {
font-size: 3rem; }
h2 {
font-size: 2.5rem; }
h3 {
font-size: 1.9375rem; }
h4 {
font-size: 1.5625rem; }
h5 {
font-size: 1.25rem; }
h6 {
font-size: 1rem; } }

/* fix table style after removed foundation */
table {
    display: table;
    box-sizing: border-box;
    text-indent: initial;
    border-spacing: 2px;
    border-color: grey;
}
table tbody, table tfoot, table thead {
    border: 1px solid #f1f1f1;
    background-color: #fefefe;
}
table tfoot,
table thead {
    background: #f8f8f8;
    color: #0a0a0a;
}
table thead th,
table thead td,
table tfoot th,
table tfoot td {
    padding: 0.5rem 0.625rem 0.625rem;
    font-weight: bold;
    text-align: left; 
}

table tbody td,
table tbody th {
    padding: .5rem .625rem .625rem;
}
select {
    width: 100%;
}
select{
    height: 2.4375rem;
    padding: .5rem;
    border: 1px solid #cacaca;
    font-size: 1rem;
    font-family: inherit;
    line-height: normal;
    color: #0a0a0a;
    background-color: #fefefe;
    border-radius: 3px;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' width='32' height='24' viewBox='0 0 32 24'><polygon points='0,0 32,0 16,24' style='fill: rgb%28138, 138, 138%29'></polygon></svg>");
    background-size: 9px 6px;
    background-position: right -1rem center;
    background-origin: content-box;
    background-repeat: no-repeat;
    padding-right: 1.5rem;
}
        
   
a {
    color: #FDB732;
}

a.rdw-dropdown-selectedtext{
    color: #FDB732;
}

.borderless {
    border: 0px;
    border-radius: 0px;
}

.marginless {
    margin: 0px;
}

.paddingless {
    padding: 0px;
}

.content-view {
    background-color: #424242
}

.content-white {
    background-color: #ffffff
}
.float-left {
    float: left!important;
}
.float-right {
    float: right!important;
}
.smallfont {
    font-size:0.7em;
    overflow: hidden;
    text-overflow: ellipsis;
}

.mediumfont {
    font-size:0.9em;
    overflow: hidden;
    text-overflow: ellipsis;
}

.largefont {
    font-size:2em;
    overflow: hidden;
    text-overflow: ellipsis;
}

.header-large {
    color: #484848;
}

.noliststyle {
    list-style: none;
}

.stick-to-callout-bottom {
  position:absolute;
  bottom: 16px;
}

.stick-to-callout-bottom-right {
  position:absolute;
  right: 16px;
  bottom: 16px;
}

.top-bar, .top-bar ul {
    background-color: #2C2C2C;
}

.top-bar-right ul {
  justify-content: flex-end;
}

.top-bar-icon {
    font-size: 30px;
    display: inline-block;
    line-height: 1;
    color:#000;
}

.overflow-100 {
    position: absolute;
    display: block;
    max-height: 100px;
    overflow: scroll;
    width: 38%;
    background-color: #e9fbfb;
}

.videosmall {
    width: 217px;
}

.video-100 {
    width:100%;
    height:auto;
}

.mike-active {
    color: black;
}

.camera-active {
    color: red;
}

.screenshare-active {
    color: #FDB732;
}

.icon-glow {
    text-shadow: 0 0 20px #ff0000;
}

.border-blue {
    border-color: #2ba6cb;
    border-radius: 0px;
}

.border-orange {
    border-color: #FDB732;
    border-radius: 0px;
}

/* chat box style */
.chatbox {
    height: 310px;
    width: 280px;
    padding: 0px;
    display: block;
}

.chatbox-header {
    background-color: #2ba6cb;
    height: 30px;
    width: 280px;
    margin-left: -1px;
    padding-right: 5px;
    display: block;
}

.chatbox-message {
    height: 220px;
    width: 280px;
    display: block;
    word-wrap: break-word;
    font-size: 12px;
    overflow-x: hidden;
    overflow-y: scroll;
}

.chatbox-input {
    font-size: 12px;
    height: 50px;
}

.chatbox-input textarea {
    overflow: auto;
    height: 48px;
    outline: none;
    font-size: 12px;
    resize: none;
}

.chatbox-bubble {
    width: 200px;
}

.chatbox-1 {
    position: fixed;
    bottom: 0px;
    left:  260px;
    margin-bottom: 0px;
    z-index: 9999;
}

.chatbox-2 {
    position: fixed;
    bottom: 0px;
    left:  560px;
    margin-bottom: 0px;
    z-index: 9999;
}

.chatbox-3 {
    position: fixed;
    bottom: 0px;
    left:  860px;
    margin-bottom: 0px;
    z-index: 9999;
}

.callout.darkgrey {
    background-color: #5a5a5a
}

.callout.lightgrey {
    background-color: #eaeaea
}

.callout.lightgrey a {
    color: #0A0A14
}

.menu > li > a {
    color: #fcfcfc;
}

.menu .active > a {
    color: #fcfcfc;
    background: #FDB732;
}

/* ============= Mike ============= */
.imagePreview{
    text-align: center;
}

.imagePreview .imagePreviewMenu{
    margin-left: 22px;
}

.cfCheckbox {
    text-align: center;
}

.cfItem:hover cfItemName {
    border-bottom: 2px solid rgba(0,0,0,0.12);
    border-style: outset;
}

.cfItemNameInput {
    border: none;
    border: transparent;
}

.cfTitle, .cfItemSample {
    text-align: center;
}

.richtext-editor {
  border: 1px solid #cccccc;
  padding-left: 5px;
  padding-right: 5px;
  margin-bottom: 5px;
  border-radius: 2px;
  height: 95%;
}

#createSubject > #row {
    display: inline-block;
}

.memberSearchAutoComplete > input{
    box-shadow: none;
}

.memberSearchAutoComplete > input:focus{
    box-shadow: none;
}

.materialInput > input {
    box-shadow: none;
}

.materialInput > input:focus{
    box-shadow: none;
}

.darkborder {
    border: 1px solid #484848;
}

.darkborder legend {
    background: none;
}

/* rules for removing foundation styles for calendar */
#calendar {
    padding: 10px;
    background-color: #fefefe;
}
#calendar table {
    margin-bottom: 0rem;
}
#calendar  table thead,
#calendar  table tbody,
#calendar  table tfoot {
    border: none;
    background-color: inherit;
  }
#calendar  table thead,
#calendar  table tfoot {
    background: inherit;
    color: inherit; }
#calendar table tbody tr:nth-child(even) {
    background-color: inherit;
}
/* end calendar rules */
#sticky-subject-card {
    position: sticky;
    position: -webkit-sticky;
    top: 85px;
}

/* custom mui styles for checkout */
.checkoutButton button, .orangeButton button, .topbarButton {
    background-color: #FDB732 !important;
}
.orangeUnfilledButton button {
    color: #FDB732 !important;
    border: 1px solid #FDB732 !important;
    border-radius: 3px !important;
}
.blackButton button, .authTab>div:first-child {
    background-color: #424242 !important;
}
.loginDialogButton {
    display: inline;
}
.checkoutText hr {
    border-bottom: 1px solid #ddd !important;
}
.checkoutText label {
    color:  #424242 !important;
}
.checkoutStep svg {
    color:  #FDB732 !important;
    fill:  #FDB732 !important;
}
.checkoutTables {
    margin: 0 0 1rem 0;
    padding: 1rem;
    border: 1px solid #bbb;
    border-radius: 7px;
    position: relative;
    color: #0a0a0a;
    background-color: white;
}

.tag-search-icon {
    background-color: #333333 !important;
}


/* re-skin geek-it style */
.primary-geekit-button {
    background-color: #FDB732 !important;
    transition: 0.5s;
    color: white !important;
    border: 1px solid #FDB732 !important;
    margin-left: 5px !important;
    margin-right: 5px !important;
    margin-top: 2px !important;
    margin-bottom: 2px !important;
}

.primary-geekit-button:hover {
    background-color: transparent !important;
    color:#FDB732 !important;
    border: 1px solid #FDB732 !important;
}


.new-shop-event-button {
    background-color: #FDB730 !important;
    color: white !important;
    margin-left: 5px !important;
    margin-right: 5px !important;
}
	
.subjectMenu {
    margin: 0;
    margin-top: 7px !important;
    float: left !important;
}

.primary-geekit-button-unfilled {
    border-color: #FDB732 !important;
    background-color: white !important;
    color: #FDB732 !important;
    margin-left: 5px !important;
    margin-right: 5px !important;
    margin-top: 2px !important;
    margin-bottom: 2px !important;
}

.secondary-geekit-button {
    background-color: #424242 !important;
    transition: 0.5s !important;
    color: white !important;
    border: 1px solid #424242 !important;
    margin-left: 5px !important;
    margin-right: 5px !important;
    margin-top: 2px !important;
    margin-bottom: 2px !important;
}
.secondary-geekit-button:hover {
    background-color: transparent !important;
    color: #424242 !important;
    border: 1px solid #424242 !important;
}

.mobile-dialog{
    width: 100% !important;
}

/* Eula page */
#eula-content-wrapper {
    height: 60vh;
    width: 100%;
    overflow-y: scroll;
    background: #ffffff;
    border-radius: 7px;
    border: 1px solid #dddddd;
    word-break: break-word;
  }
  #eula-content-wrapper::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 7px;
  }
  #eula-content-wrapper::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: #333333;
    -webkit-box-shadow: 0 0 1px rgba(255,255,255,.5);
  }
  
  .eula-container-mobile {
    width: 100%;
    height: 100%;
    padding: 20px 20px 0px 20px;
  }
  
  .eula-container-desktop {
    width: 100%;
    height: 100%;
    padding: 50px 150px 50px 150px;
    max-width: 1200px;
    float: center;
    margin-left: auto;
    margin-right: auto;
    font-size: 120%;
  }
.aspect-ratio-fixed{
    object-fit: cover;
}

.ant-carousel .slick-slide {
    text-align: center;
    line-height: 60px;
    overflow: hidden;
}

.ant-carousel .slick-prev::before {
    font-family: anticon;
    content: "\276E";
    font-size: 22px;
}  
.ant-carousel .slick-next::before {
    font-family: anticon;
    content: "\276F";
    font-size: 22px;        
}

.ant-carousel .slick-prev, .ant-carousel .slick-next {
    color: #0e0e0e4a !important;
}

.ant-carousel .slick-dot-slides {
    position: absolute;
    list-style: none;
    display: block;
    text-align: center;
    margin: 0;
    padding: 0;
    width: 100%;
    overflow-x: auto;
    white-space: nowrap;
    bottom: unset !important;
    height: unset !important;
    z-index: 999;
}

.ant-carousel .slick-dots {
    padding-top: 25px !important;
}

.window-scroller-override {
    height: 100% !important;
}

#page{
    background-color: #fff;
}
.d-flex {
    display: flex;
}
.flex-column{
    flex-direction: column;
}
.justify-content-between{
    justify-content: space-between;
}
.justify-content-center{
    justify-content: center;
}
.flex-wrap{
    flex-wrap: wrap;
}
.align-items-center{
    align-items: center;
}
.m-auto{
    margin: auto;
}
.mt-auto{
    margin-top: auto;
}
.mb-auto{
    margin-bottom: auto;
}
.h-100{
    height: 100%;
}
.w-100{
    width: 100%;
}
.align-item-center{
    align-items: center;
}